- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ServiceView
Gets details of a single Service.
HTTP request
GET https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/services/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the resource |
Query parameters
| Parameters | |
|---|---|
view |
Optional. The view of the Service to return. If unspecified, the default view is BASIC. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Service.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
commerceproducer.services.get
For more information, see the IAM documentation.
ServiceView
Controls which fields are returned in a Service returned by the API. https://google.aip.dev/157
| Enums | |
|---|---|
SERVICE_VIEW_UNSPECIFIED |
The default / unset value. The API will default to the BASIC view. |
SERVICE_VIEW_BASIC |
Include basic metadata about the Service, but not the full contents. This is the default value (for both List and Get requests). |
SERVICE_VIEW_FULL |
Include everything. |